import { FetchResult } from "@apollo/client/core";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import { CustomQuery, SetGuestEmailOnCartInput, SetGuestEmailOnCartMutation } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Set the guest user email on the cart
 *
 * @example
 * Simple usage:
 * ```ts
 * import { sdk } from '~/sdk.config.ts';
 *
 * // set an email on the cart
 * const result = await sdk.magento.setGuestEmailOnCart({ cart_id: 'some-cart-id', email: 'some-email' });
 *
 * // new email will be set on the cart
 * // data.setGuestEmailOnCart.cart.email will contain the email address
 * ```
 */
export declare function setGuestEmailOnCart(context: Context, input: SetGuestEmailOnCartInput, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<SetGuestEmailOnCartMutation>>;
//# sourceMappingURL=index.d.ts.map