import { FetchResult } from "@apollo/client/core";
import { DeleteCustomerAddressMutation } from "@vue-storefront/magento-types";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Delete a customer address.
 *
 * @example
 * Simple usage:
 * ```ts
 * import { sdk } from '~/sdk.config.ts';
 *
 * const addressId = 12;
 * // customer address will be remove for the currently logged in customer
 * const response = await sdk.magento.deleteCustomerAddress({ id: addressId });
 * // response.data?.deleteCustomerAddress - result is stored here, it's boolean
 * ```
 */
export declare function deleteCustomerAddress(context: Context, addressId: number, customHeaders?: CustomHeaders): Promise<FetchResult<DeleteCustomerAddressMutation>>;
//# sourceMappingURL=index.d.ts.map