import { FetchResult } from "@apollo/client/core";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import { RequestPasswordResetEmailMutation, RequestPasswordResetEmailMutationVariables } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Request password reset email
 *
 * @example
 * Simple usage:
 * ```ts
 * import { sdk } from '~/sdk.config.ts';
 *
 * // trigger sending of password reset email
 * const result = await sdk.magento.requestPasswordResetEmail({ email: 'john.doe@gmail.com'});
 *
 * // result.data.requestPasswordResetEmail contains the boolean response from the API
 * ```
 */
export declare function requestPasswordResetEmail(context: Context, input: RequestPasswordResetEmailMutationVariables, customHeaders?: CustomHeaders): Promise<FetchResult<RequestPasswordResetEmailMutation>>;
//# sourceMappingURL=index.d.ts.map